const_iterator_ Class Reference
Inheritance diagram for const_iterator_:
[legend]

## Public Types

typedef const_pointer_ | const_pointer
typedef const_reference_ | const_reference
typedef _Alloc::difference_type | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef pointer_ | pointer
typedef reference_ | reference
typedef value_type_ | value_type

## Public Member Functions

| const_iterator_ ()
bool | operator!= (const point_const_iterator_ &other) const
bool | operator!= (const point_iterator_ &other) const
const_reference | operator* () const
const_iterator_ & | operator++ ()
const_iterator_ | operator++ (int)
const_pointer | operator-> () const
bool | operator== (const point_const_iterator_ &other) const
bool | operator== (const point_iterator_ &other) const

## Protected Types

typedef point_const_iterator_ | base_type

## Protected Member Functions

| const_iterator_ (const_pointer_ p_value, PB_DS_GEN_POS pos, const PB_DS_CLASS_C_DEC *p_tbl)

## Protected Attributes

const PB_DS_CLASS_C_DEC * | m_p_tbl
const_pointer | m_p_value
PB_DS_GEN_POS | m_pos

## Friends

class | PB_DS_CLASS_C_DEC

## Detailed Description

Const range-type iterator.

Definition at line 43 of file unordered_iterator/const_iterator.hpp.

## Member Typedef Documentation

## const_pointer

typedef const_pointer_ const_iterator_::const_pointer

Iterator's const pointer type.

Definition at line 60 of file unordered_iterator/const_iterator.hpp.

## const_reference

typedef const_reference_ const_iterator_::const_reference

Iterator's const reference type.

Definition at line 66 of file unordered_iterator/const_iterator.hpp.

## difference_type

typedef _Alloc::difference_type const_iterator_::difference_type

Difference type.

Definition at line 51 of file unordered_iterator/const_iterator.hpp.

## iterator_category

typedef std::forward_iterator_tag const_iterator_::iterator_category

Category.

Definition at line 48 of file unordered_iterator/const_iterator.hpp.

## pointer

typedef pointer_ const_iterator_::pointer

Iterator's pointer type.

Definition at line 57 of file unordered_iterator/const_iterator.hpp.

## reference

typedef reference_ const_iterator_::reference

Iterator's reference type.

Definition at line 63 of file unordered_iterator/const_iterator.hpp.

## value_type

typedef value_type_ const_iterator_::value_type

Iterator's value type.

Definition at line 54 of file unordered_iterator/const_iterator.hpp.

## Constructor & Destructor Documentation

## const_iterator_() [1/2]

const_iterator_::const_iterator_ | ( |  | ) |

inline

Default constructor.

Definition at line 69 of file unordered_iterator/const_iterator.hpp.

## const_iterator_() [2/2]

const_iterator_::const_iterator_ | ( | const_pointer_ | p_value,
|  | PB_DS_GEN_POS | pos,
|  | const PB_DS_CLASS_C_DEC * | p_tbl
| ) |  |

inline protected

Constructor used by the table to initiate the generalized pointer and position (e.g., this is called from within a find() of a table.

Definition at line 97 of file unordered_iterator/const_iterator.hpp.

## Member Function Documentation

## operator!=() [1/2]

bool point_const_iterator_::operator!= | ( | const point_const_iterator_ & | other | ) | const

inline inherited

Compares content (negatively) to a different iterator object.

Definition at line 123 of file unordered_iterator/point_const_iterator.hpp.

## operator!=() [2/2]

bool point_const_iterator_::operator!= | ( | const point_iterator_ & | other | ) | const

inline inherited

Compares content (negatively) to a different iterator object.

Definition at line 118 of file unordered_iterator/point_const_iterator.hpp.

## operator*()

const_reference point_const_iterator_::operator* | ( |  | ) | const

inline inherited

Access.

Definition at line 100 of file unordered_iterator/point_const_iterator.hpp.

## operator++() [1/2]

const_iterator_& const_iterator_::operator++ | ( |  | ) |

inline

Increments.

Definition at line 74 of file unordered_iterator/const_iterator.hpp.

References m_p_tbl.

## operator++() [2/2]

const_iterator_ const_iterator_::operator++ | ( | int |  | ) |

inline

Increments.

Definition at line 82 of file unordered_iterator/const_iterator.hpp.

References m_p_tbl.

## operator->()

const_pointer point_const_iterator_::operator-> | ( |  | ) | const

inline inherited

Access.

Definition at line 92 of file unordered_iterator/point_const_iterator.hpp.

## operator==() [1/2]

bool point_const_iterator_::operator== | ( | const point_const_iterator_ & | other | ) | const

inline inherited

Compares content to a different iterator object.

Definition at line 113 of file unordered_iterator/point_const_iterator.hpp.

## operator==() [2/2]

bool point_const_iterator_::operator== | ( | const point_iterator_ & | other | ) | const

inline inherited

Compares content to a different iterator object.

Definition at line 108 of file unordered_iterator/point_const_iterator.hpp.

## Member Data Documentation

## m_p_tbl

const PB_DS_CLASS_C_DEC* const_iterator_::m_p_tbl

protected

Pointer to the table object which created the iterator (used for incrementing its position.

Definition at line 106 of file unordered_iterator/const_iterator.hpp.

Referenced by operator++(), and iterator_::operator++().

The documentation for this class was generated from the following file:

- unordered_iterator/const_iterator.hpp